<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>
		HTML Tables and Forms
	</title>
	</head>

	<body>
		<header>
			<h1>HTML Tables and Forms</h1>
		</header>
		
		<main>
			<section>
				<h2>HTML Entities</h2>
		<p>Reserved characters in HTML<em> (e.g. &lt; or &gt; characters that can mix with HTML code)</em></p>
		<!--Define an HTML table  -->
		<table border="1">
			<!-- Used to group table header content -->
			<thead>
				<tr>
					<!-- Defines a table header element -->
					<th colspan="2">Entity</th>
					<th>Description</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>&lt;</td>
					<td>lt</td>
					<td>less than</td>
				</tr>
				<tr>
					<td>&gt;</td>
					<td>gt</td>
					<td>greater than</td>
				</tr>	
				<tr>
					<td>&#8369;</td>
					<td>ps</td>
					<td>peso sign</td>
				</tr>
				<tr>
					<td>&</td>
					<td>amp</td>
					<td>ampersand</td>
				</tr>
				<tr>
					<td>"</td>
					<td>quot</td>
					<td>double quotation mark</td>
				</tr>
				<tr>
					<td>'</td>
					<td>apos</td>
					<td>single quotation mark(apostrophe)</td>
				</tr>
				<tr>
					<td>&ntilde;</td>
					<td>ñ</td>
					<td>Lower Tilde</td>
				</tr>
				<tr>
					<td>&Ntilde;</td>
					<td>Ñ</td>
					<td>Upper Tilde</td>
				</tr>
			</tbody>

			<tfoot>
				<tr>
					<th colspan="3">
						List of HTML Entities
					</th>
				</tr>

			</tfoot>

		</table>
			</section>
	
		<section>
			<h2>HTML Forms</h2>
		<p><em>Input elements that make up a form</em></p>

		<!-- "action" used to define where the information will go to-->
		<form action="https://www.google.com/">
			<label for="full_name" >Full Name:</label><br>
			<input type="text" name="full_name" id="full_name" required autocomplete><br>

			<label for="birth_date">Birth Date:</label>
			<input type="Date" name="birth_date" id="birth_date" required><br>

			<label for="age">Age:</label><br>
			<input type="number" name="age" id="age" required> <br>

			<label for="gender">Gender:</label><br>
				<!-- Create a dropdown menu -->
			<select>
				<option value="Male">Male</option>
				<option value="Female">Female</option>
			</select><br>

			<label for="notes">Notes:</label><br>
			<!-- Creates a larger text input -->
			<textarea rows="5" name= "notes" id="notes"></textarea><br>

			<!-- radio -->
			<label>New User</label><br>
			<input type="radio" name="new_user" id="user-type1" value="yes">
			<label for="user_type1">Yes</label><br>
			<input type="radio" name="new_user" id="user-type2" value="no">
			<label for="user_type2">No</label><br><br>


			<!-- checkbox -->

			<label>Role</label><br>
		
			<input type="checkbox" name="role1"  id="role1" value="developer">
			<label for="role1">Developer</label><br>
			
			<input type="checkbox" name="role2"  id="role2" value="student">
			<label for="role2">Student</label><br>

			<input type="checkbox" name="role3"  id="role3" value="manager">
			<label for="role3">Manager❤️</label><br>

			<!-- "type" attribute used to define how that button will behave-->
			<button type="submit">Submit</button><br>

			<!-- This one created a button to reset data -->
			<button type="reset">Reset</button>
		</form>
		</section>
		</main>
	</body>
</html>